Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.contactcenters.msk.params
Class TimeIntervalParams

    java.lang.Object
      umontreal.iro.lecuyer.contactcenters.msk.params.TimeIntervalParams

Direct Known Subclasses:
  DialerLimitParams, ShiftPartParams

    public class TimeIntervalParams

extends Object

Represents a time interval specified by a starting and an ending time.

Field Summary
`protected Duration` | `endingTime`
`protected Duration` | `startingTime`

Constructor Summary
`TimeIntervalParams()`

Method Summary
`Duration` | `getEndingTime()` Gets the value of the endingTime property.
`Duration` | `getStartingTime()` Gets the value of the startingTime property.
`boolean` | `isSetEndingTime()`
`boolean` | `isSetStartingTime()`
`void` | `setEndingTime(Duration value)` Sets the value of the endingTime property.
`void` | `setStartingTime(Duration value)` Sets the value of the startingTime property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### startingTime

    protected Duration startingTime

### endingTime

    protected Duration endingTime

Constructor Detail

### TimeIntervalParams

    public TimeIntervalParams()

Method Detail

### getStartingTime

    public Duration getStartingTime()

  Gets the value of the startingTime property.

  Returns:
    possible object is `Duration`

### setStartingTime

    public void setStartingTime(Duration value)

  Sets the value of the startingTime property.

  Parameters:
    `value` - allowed object is `Duration`

### isSetStartingTime

    public boolean isSetStartingTime()

### getEndingTime

    public Duration getEndingTime()

  Gets the value of the endingTime property.

  Returns:
    possible object is `Duration`

### setEndingTime

    public void setEndingTime(Duration value)

  Sets the value of the endingTime property.

  Parameters:
    `value` - allowed object is `Duration`

### isSetEndingTime

    public boolean isSetEndingTime()

Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Richard Simard.